--- title: "REST API call to remove a stakeholder" slug: "rest-api-call-to-remove-a-stakeholder-3" tags: ["Product Usage", "DLP 11.11.x", "DLPE 11.11.x", "DLPExtn 11.11.x", "DLPNM 11.11.x", "DLPNP 11.11.x"] updated: 2026-09-01T07:30:39Z published: 2026-09-01T07:30:39Z canonical: "docs.trellix.com/rest-api-call-to-remove-a-stakeholder-3" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # REST API call to remove a stakeholder Using this API call, you can remove a user assigned as a stakeholder from an incident. ### PUT request URL `https://<epo_server_name:port>/rest/dlp/incidents/stakeholders/remove/{incidentId}?stakeholderId=6&stakeholderType=0&incidentNature=3` Where - `epo_server_name:port` is the server IP address and port number. - `{incidentId}` unique identifier of an incident. - `incidentNature={n}` n can be 1, 2, or 3 for incidents of different data vectors (incident nature). - `stakeholderId = {n}` specifies the stakeholder ID. - `stakeholderType ={n}` based on the value of n, stakeholder type can be: - 0 = ePO users - 1 = Non-ePO users ### Request Parameters | Parameter name | Description | Required | Values | | --- | --- | --- | --- | | **Authorization** | User credentials for ePO - On-prem. | Required | | | **{incidentId}** | Unique identifier of an incident | Required | Number | | **stakeholderId = {n}** | Unique ID of the stakeholder | Required | Number | | **stakeholderType** | Based on the value of n, stakeholders can be: - 0 = ePO users - 1 = Non-ePO users | Required | Number | | **incidentNature={n}** | Incidents generated for data-in-use/motion and data-at-rest can have the same incident IDs. Specify n to differentiate the incident nature. Based on the data vectors, {n} can be: - 1 = Retrieve incident details generated for data-in-use/motion - 2 = Reserved to retrieve data-at-rest - Endpoint Discovery incidents and can be used when support for Endpoint Discovery custom attributes is added into the product - 3 = Retrieve incident details generated for data-at-rest - Network | Required | Number | In these sample requests, stakeholder with ID 6, who is of the ePO user type is removed from the incident 4 generated for data-to-rest. **Sample PUT request URL** `https://172.27.108.53:8443/rest/dlp/incidents/stakeholders/remove/4?stakeholderId=6&stakeholderType=0&incidentNature=3` **Sample cURL command** `curl -k -v -X PUT 'https://1172.27.108.53:8443/rest/dlp/incidents/stakeholders/remove/4?stakeholderId=6&stakeholderType=0&incidentNature=3' -u '<user>:<password>'` ### Response parameters | Element | Description | Data type | | --- | --- | --- | | Message | Shows whether a stakeholder is removed successfully or not from an incident. | String | ### Sample response ``` Sucess: Removed stakeholder ``` ### Status and error codes List of HTTP status codes returned for the query. | Code | Description | | --- | --- | | **200 OK** | Returns a successful message for the removed stakeholder. | | **400 Bad Request** | Returns a bad request if: - incidentId is missing. - incidentId has a non-numeric value. - stakeholderId is missing. - stakeholderId has a non-numeric value. - stakeholderType is missing. - stakeholderType has a non-numeric value. - stakeholderType is not either 0 or 1. - incidentNature is missing. - incidentNature has a non-numeric value. - incidentNature is not either 1 or 3. - user with stakeholderId does not exist for the given stakeholderType. | | **404 Not Found** | Incorrect ePO - On-prem URL. | | **500 Internal Server Error** | An error on the server side that failed the request. See the ePO - On-prem `orion.log` file for more details about the error. |